#ifndef SERIAL_COMMAND_H
#define SERIAL_COMMAND_H

// Command send to MCU
enum CTRL_CODE_ {
    // System mode
    CTRL_CODE_SYSMODE_Disable       = 0x01,
    CTRL_CODE_SYSMODE_Telemetry     = 0x02,
    CTRL_CODE_SYSMODE_Security      = 0x03,

    // Tmperature telemetry
    CTRL_CODE_TEMP_Disable          = 0x10,
    CTRL_CODE_TEMP_Enable           = 0x11,

    // Body alarming
    CTRL_CODE_BODY_Disable          = 0x21,
    CTRL_CODE_BODY_Buzzer           = 0x22,
    CTRL_CODE_BODY_Light            = 0x23,

    // Gas telemetry
    CTRL_CODE_GAS_Disable           = 0x31,
    CTRL_CODE_GAS_State             = 0x32,
    CTRL_CODE_GAS_Data              = 0x33,

    // Collection cycle
    CTRL_CODE_CYCLE_500ms           = 0x41,
    CTRL_CODE_CYCLE_1s              = 0x42,
    CTRL_CODE_CYCLE_2s              = 0x43,
    CTRL_CODE_CYCLE_5s              = 0x44
};

// Command code from MCU
enum MCU_CMD_ {
    MCU_CMD_TEMP                    = 0x01,
    MCU_CMD_BODY                    = 0x02,
    MCU_CMD_GAS_STATE               = 0x03,
    MCU_CMD_GAS_DATA                = 0x04,
};

// Body sensor status code
enum COMMAND_BODY {
    MCU_CMD_BODY_YES                = 0x01,
    MCU_CMD_BODY_NO                 = 0x02,
};

// Gas sensor status code
enum {
    MCU_CMD_GAS_STATE_NORMAL        = 0x01,
    MCU_CMD_GAS_STATE_ALARMING      = 0x02,
};

#endif // SERIAL_COMMAND_H
